package ax;

import waba.ui.Control;
import waba.fx.Graphics;
import waba.fx.Color;
import waba.fx.Font;
import waba.fx.FontMetrics;

/** 
 * eLXg\\ȃRg[
 */
public class JLabel extends Control {
    protected String text;
    protected Font   font;

    public JLabel(String text) {
        this.text = text;
        this.font = AxGlobals.FONT_BOLD;
    }

    public void setFont(Font font) {
        this.font = font;
    }

    public Font getFont() {
        return font;
    }

    public void setText(String text) {
        this.text = text;
    }

    public String getText() {
        return text;
    }

    public void onPaint(Graphics g) {

        setColor(g, AxGlobals.COLOR_BACK);
        g.fillRect(0, 0, width, height);

        g.setFont(font);
        setColor(g, AxGlobals.COLOR_BLACK);

        FontMetrics fm = getFontMetrics(font);
        int x = 2;
        int y = (this.height - fm.getHeight()) / 2;

        g.drawText(text, x, y);
    }

    protected static void setColor(Graphics g, Color color) {
        g.setColor(color.getRed(), color.getGreen(), color.getBlue());
    }
}
