package ax.event;

import waba.util.Vector;
import waba.ui.ControlEvent;

/**
 * rIȑIO[vNX
 */
public class SelectionGroup implements SelectionListener {

    protected Vector controls = new Vector();

    public void add(Selectable control) {
        control.addSelectionListener(this);
        controls.add(control);
    }

    public void onSelect(ControlEvent e) {
        for (int i = 0; i < controls.getCount(); i++) {
            Selectable control = (Selectable)controls.get(i);
            if (control.getSelected()) {
                control.setSelected(false);
            }
        }

        Selectable selectedControl = (Selectable)e.target;
        selectedControl.setSelected(true);
    }
}
